<?php

namespace User;

class Parameters
{
    public static array $parameterName = [
        'spasenie' => 'Спасение после смерти',
        'puti' => 'Запрет перемещения',
        'align' => 'Склонность',
        'hpAll' => 'Уровень жизни (HP)',
        'mpAll' => 'Уровень маны (МP)',
        'sex' => 'Пол',
        'lvl' => 'Уровень',
        's1' => 'Сила',
        's2' => 'Ловкость',
        's3' => 'Интуиция',
        's4' => 'Выносливость',
        's5' => 'Интеллект',
        's6' => 'Мудрость',
        's7' => 'Духовность',
        'm1' => 'Мф. критического удара (%)',
        'm2' => 'Мф. против критического удара (%)',
        'm3' => 'Мф. мощности крит. удара (%)',
        'm4' => 'Мф. увертывания (%)',
        'm5' => 'Мф. против увертывания (%)',
        'm6' => 'Мф. контрудара (%)',
        'm7' => 'Мф. парирования (%)',
        'm8' => 'Мф. блока щитом (%)',
        'm9' => 'Мф. удара сквозь броню (%)',
        'm14' => 'Мф. абс. критического удара (%)',
        'm15' => 'Мф. абс. увертывания (%)',
        'm18' => 'Мф. абс. блока щитом (%)',
        'm19' => 'Мф. абс. магический промах (%)',
        'a1' => 'Мастерство владения ножами, кинжалами',
        'a2' => 'Мастерство владения топорами, секирами',
        'a3' => 'Мастерство владения дубинами, молотами',
        'a4' => 'Мастерство владения мечами',
        'a5' => 'Мастерство владения магическими посохами',
        'aall' => 'Мастерство владения оружием',
        'mall' => 'Мастерство владения магией стихий',
        'mg1' => 'Мастерство владения магией огня',
        'mg2' => 'Мастерство владения магией воздуха',
        'mg3' => 'Мастерство владения магией воды',
        'mg4' => 'Мастерство владения магией земли',
        'mg7' => 'Мастерство владения серой магией',
        'minAtack' => 'Минимальный урон бота в пещере',
        'maxAtack' => 'Максимальный урон бота в пещере',
        'm10' => 'Мф. мощности урона',
        'm11' => 'Мф. мощности магии стихий',
        'pa1' => 'Мф. мощности колющего урона',
        'pa2' => 'Мф. мощности рубящего урона',
        'pa3' => 'Мф. мощности дробящего урона',
        'pa4' => 'Мф. мощности режущего урона',
        'pm1' => 'Мф. мощности магии огня',
        'pm2' => 'Мф. мощности магии воздуха',
        'pm3' => 'Мф. мощности магии воды',
        'pm4' => 'Мф. мощности магии земли',
        'pm7' => 'Мф. мощности серой магии',
        'za' => 'Защита от урона',
        'zm' => 'Защита от магии стихий',
        'magic_cast' => 'Дополнительный каст за ход',
        'min_heal_proc' => 'Эффект лечения (%)',
        'notravma' => 'Защита от травм',
        'yron_min' => 'Минимальный урон',
        'yron_max' => 'Максимальный урон',
        'speedhp' => 'Регенерация здоровья (%)',
        'speedmp' => 'Регенерация маны (%)',
        'tya1' => 'Колющие атаки',
        'tya2' => 'Рубящие атаки',
        'tya3' => 'Дробящие атаки',
        'tya4' => 'Режущие атаки',
        'tym1' => 'Огненные атаки',
        'mg2static_points' => 'Уровень заряда (Воздух)',
        'tym2' => 'Электрические атаки',
        'tym3' => 'Ледяные атаки',
        'tym4' => 'Земляные атаки',
        'tym7' => 'Серые атаки',
        'min_use_mp' => 'Уменьшает расход маны',
        'pog' => 'Поглощение урона (прием)',
        'pog2' => 'Поглощение урона (прием)',
        'pog2p' => 'Процент поглощение урона (прием)',
        'pog2mp' => 'Цена поглощение урона (прием)',
        'maxves' => 'Увеличивает рюкзак',
        'antm3' => 'Мф. против мощности крита',
        'repair_z' => 'Бесплатное извлечение заточек',
        'repair_r' => 'Бесплатное извлечение рун',
        'rep' => 'Репутация Рыцаря',
        'repair_discount' => 'Скидка на ремонт вещей',
        'hpVinos' => 'Бонус жизни',
        'gold' => 'Благодать Ангела',
        'speed_dungeon' => 'Скорость передвижения по подземельям',
        'zona' => 'Дополнительная зона атаки',
    ];

    public static array $parameterNameDeprecated = [];
}